-Look4HowUploader - Tool for Look4How to upload files from local device to remote server using FTP.

Copyright (c) 2018 by Robert W.B. Linn, Pinneberg, Germany @ www.rwblinn.de
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS for A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with this program.  If not, see http://www.gnu.org/licenses/

-Download
http://www.rwblinn.de/b4j/opensource/look4howuploader.zip
The zip file includes the source and the Java jar (To use, the Java Runtime Environment must be installed).
Look4HowUploader has been developed with B4J v6.01 ( https://www.b4x.com/b4j.html ) and requires the Java Runtime Environment or Java Development Kit v1.8.0_161.

-Run as Look4How Tool
The Look4HowUploader application file (Look4HowUploader.jar) must be located in the Look4How application folder.
As from Look4How v0.85, when exporting a Theme to create HTML Navigation files (Menu Theme > Export > Navigation), an option is given to upload files.
If this option is set, the Look4HowUploader is started standalone with default settings for the local & remote folder.
If run first time, the settings file Look4HowUploader.set is created with empty values and must be updated in the Look4HowUploader FTP Settings and then saved.
Note:
The Look4HowUploader can also be run standalone via Windows command line or the Window explorer.

-Run Standalone
The program is located in the objects folder of the source folder.
To run, from the objects folder, execute <path>java -jar Look4HowUploader.jar (Windows command line) or Look4HowUploader.jar (Windows Explorer).
If run first time, the settings file Look4HowUploader.set is created with empty values and must be updated in the Look4HowUploader FTP Settings and then saved.

-Documentation
The main window consists out of 3 areas:
Left = Local folder with files; Buttons Transfer files, List local files.
Middle = Transfer information and the FTP settings
Right = Remote folder with files; Buttons Compare Folders; List Remote files

Uploading & Comparing
When the local file list is created (done at start or pressing the button list local files), uploading can start.
Ensure the FTP settings are correct and saved, then press the Upload button.
The files are uploaded with progress information.
After successful transfer, the remote files are listed.
To ensure the local and the remote folder contain the same files, press the compare button.
After comparing, the dialog indicated if there are files on the remote server which are not used anymore. These files should be deleted.

-Notes
Look4How purpose is to organize HowTos by Themes with Categories and related Memos.
Its background comes from a Delphi XE3 application I wrote years ago and still using ... but ... B4X has become my target development environment and not Delphi anymore.
Look4How is under development and enhanced step-by-step. Follow website http://make.rwblinn.de/viewtopic.php?f=24&t=192 .
See CHANGELOG.MD for the latest changes.

